Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.pool
Interface EPPPooledSession

All Known Implementing Classes:
  EPPPooledGenericSession

    public interface EPPPooledSession

Interface implemented by object's managed by the `EPPSessionPoolableFactory` or derived class. The created time is used to determine if the session has exceeded the absolute session timeout and the last touched time is used to determine if a keep alive message needs to be sent to keep the session active.

Method Summary
`long` | `getCreatedTime()` Gets the time the pooled object was created.
`long` | `getLastTouched()` Gets the last time the pooled object was touched.
`void` | `touch()` Set the last touched to the current time.

Method Detail

### getCreatedTime

    long getCreatedTime()

  Gets the time the pooled object was created.

  Returns:
    Epoch time of creation

### getLastTouched

    long getLastTouched()

  Gets the last time the pooled object was touched.

  Returns:
    Epoch time of touch

### touch

    void touch()

  Set the last touched to the current time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.